Re: Issue while adding the support for TLS1.3 in existing krogoth yocto #yocto #raspberrypi #apt


Mikko Rapeli
 

Hi,

On Tue, Feb 18, 2020 at 01:20:25PM +0530, amaya jindal wrote:
Thanks for your prompt reply. But is not there any way similar to add
support for TLS1.3 instead of moving to new yocto releases
openssl is tricky to update and requires backporting fixes for many, many recipes
to get builds passing etc. Depending on project size, it may be possible
to update only those components which you use, e.g. backport commits from
poky master or release branches like warrior. The number of backported changes
will be large. I've ported openssl 1.1.1d patches to yocto 2.5 sumo but it wasn't
pretty. A strategy with regular yocto updates is much better and forces you
to think of your dependencies and patches much harder.

Hope this helps,

-Mikko

Join yocto@lists.yoctoproject.org to automatically receive all group messages.